Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-25608

Add MariaDB 10.2 dependencies to Debian Sid and Ubuntu Hisute images

    XMLWordPrintable

    Details

      Description

      I noticed that on the 10.2 branch fails to build on buildbot.askmonty.org as the Debian sid amd64 and i386 and Ubuntu hirsute builders are missing dependencies.

      To support 10.2 (and partially 10.3 and 10.4 builds) please run:

      apt-get install libpcre3-dev chrpath dh-apparmor

      These dependencies are not needed for newer 10.5+ MariaDB, but they are for the older and we should not try to adapt with code changes as it is against policy to do too big changes in stable releases. Better just keep building them with old dependencies that are available.

      There are also complaints about other dependencies, but you can ignore them. Those are fixed in https://github.com/MariaDB/server/pull/1826

      After the PR above and this task there will still remain some installation step issues, but I'll fix those all in one go once all build steps pass.

        Attachments

          Activity

            People

            Assignee:
            dbart Daniel Bartholomew
            Reporter:
            otto Otto Kekäläinen
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.